Package Gnumed :: Package timelinelib :: Package wxgui :: Package dialogs :: Module mainframe :: Class MainPanel |
[frames] | no frames]

# Class MainPanel

source code

    wx.Panel --+
               |
              MainPanel

    Panel that covers the whole client area of MainFrame.

    Displays one of the following panels:

      * The welcome panel (show_welcome_panel)
      * A splitter with sidebar and DrawingAreaPanel (show_timeline_panel)
      * The error panel (show_error_panel)

    Also displays the search bar.

Instance Methods
__init__(self, parent, config, main_frame) | source code
timeline_panel_visible(self) | source code
show_welcome_panel(self) | source code
show_timeline_panel(self) | source code
show_error_panel(self) | source code
show_searchbar(self, show=True) | source code